#!/bin/bash

# Move to the directory that this file is in.
cd `dirname $0`

# Create the necessary HTML components for a web page.
./helpers/body_open.php | sed -e 's/Hyperling/Hyperling: Journey/'

#Content for this page
cat << EOF
		<div class="row">
			<h1 class="col-12 title">
				My Journey
			</h1>
		</div>
		<div class="row">
			<div class="col-12 text">
				<strong>Fast Asleep: 1991-2012</strong>
				<p>
					Headaches, depression, digestive issues, lack of energy, and
					eventually unprovoked anxiety/panic attacks. This was the norm for me
					during my early life. I ate a standard diet including fast food. Meat
					was always the main portion whether going out or cooking at home.
				</p>
				<p>
					Eventually I became lactose intolerant due to antibiotics but that was
					only a minor inconvenience. It did not always stop me from consuming
					things anyways. I had tried the pills which are supposed to help but
					didn't notice any difference. This didn't phase my diet though, just
					had to ask for "no cheese" and stop drinking milkshakes.
				</p>
				<p>
					What finally hit me hard enough to start changing were the panic
					attacks and an itchy mole that had to be surgically removed. By this
					point in my early 20s I was already plenty skeptical of things like
					organized religion and businesses profiting off of people, but it
					started to occur to me that there were not many facts about health in
					my knowledge bank. What most people are doing is not working for us.
				</p>
				<p>
					When I looked in the mirror to see my eyes dilating frantically and
					body feeling shaky and nervous when simply resting or eating a meal I
					knew that something was wrong. Then it occurred to me: "Why would God
					or Evolution ever produce a species that thinks of itself as so
					advanced, but has so many health issues that they consistently die
					prematurely or suffer chronically?"
				</p>
				<strong>Waking Up: 2013-2014</strong>
				<p>
					This lead me into a more nature-based approach to my lifestyle.
					Obvious things such as soda and candy were eliminated first. Next was
					fast food. By the end of it I had eliminated "food" such as meat as
					well since I admitted that if I was living in the wild, I wouldn't be
					able to kill a cow with my bare hands or teeth, much less chew on its
					raw carcass.
				</p>
				<p>
					At this point my meals were mostly fruit and vegetables. I didn't
					really know what I was doing though. I still allowed myself bread, so
					most meals were oatmeal or peanut butter sandwiches with either jelly
					or bananas. I was feeling better, but knew that bread didn't grow on
					trees so I needed to keep going further. This was around the time that
					a nasty looking and extremely itchy mole had to be cut out of the back
					of my leg.
				</p>
				<p>
					My saving grace was quitting a restaurant job in order to seek a job
					related to my upcoming career field of Computer Science. This was the
					summer of 2014 before my final year of school. I had figured out that
					my hydration was trash and was now drinking at least a gallon of water
					a day. I didn't have luck finding an internship, but I had plenty of
					time to research health, and ended up doing an apple fast.
				</p>
				<strong>Enter Fruitarianism: 2014</strong>
				<p>
					I gorged on apples. Multiple pounds a day for at least three days. I
					honestly did not expect it to work. Being able to live on apples
					seemed like a joke, but I was willing to try it as an experiment. To
					my surprise I started feeling better and better! By the end I had
					decided that there was power to this and needed to explore even more!
				</p>
				<p>
					For the following three months I was a 100% raw fruitarian eating as
					many calories as I could. I followed the advice of many people, mostly
					vegan athletes such as Durianrider and Freelee, but also others like
					John Kohler and Dan "The Man" McDonald. Dan also provided lots of good
					advice on loving oneself and improving mental, emotional, and
					spiritual life. I also made sure what I was doing was backed by
					medical staff such as John McDougall.
				</p>
				<p>
					I still tell people to this day: those three months in 2014 were
					the best feeling of my life. My body felt like lightning. I had so
					much energy and felt like I could literally accomplish anything. I
					started riding a bike without having done it since I was a kid, and
					was able to ride to a town dozens of miles away with no training or
					practice, and didn't even feel sore. My body was finally to the point
					that God/Evolution/Nature intended!!
				</p>
				<p>
					Acne, gone. Skin was glowing and I got many compliments. Suffering
					from the heat and humidity of summer? Gone as well! My body was able
					to cool off so much faster without having cooked food stuck in
					digestion. There were so many weird things that people wouldn't think
					of being related to diet and lifestyle. Michael Arnstein even mentions
					in some interviews that being fruitarian stopped him from getting
					earwax!
				</p>
				<strong>Health is a Lifestyle, not Diet: 2014</strong>
				<p>
					Speaking of lifestyle, that is something else I learned from listening
					to my new role models. "Sleep Water Sugar" as Durianrider used to say.
					The
					<a href="https://files.hyperling.com/media/HealthPriorities.pdf"
						target="_blank">PDF</a>
					on my main
					<a href="/about/#health" target="_blank">Health</a>
					section covers the 6 pillars that I found to be highly important.
				</p>
				<p>
					"CTFU" (Carb The Fuck Up) is first for a reason, in my experimentation
					it was the most important one. Water and sleep follow because I found
					my body does not operate or digest well if those are missing. Exercise
					is next because it can go longer without being kept up. The last two
					are more spiritual, and require the first four to be maintained in
					order for them to be beneficial. Once they are achieved then they
					can help keep the first four in check when they dwindle.
				</p>
				<p>
					There was a day where I wondered if I was now cured of something and
					could go back to foods from my old diet. So one night for dinner I
					ate with my family and had some sort of pasta with meat. After eating
					I ran an errand, and remember within less than a few minutes, after
					only getting to the street after our home, I started nodding off at
					the wheel. What a quick indication that certain foods are a no-go!
				</p>
				<strong>Back to the "Real World": 2015</strong>
				<p>
					Why would I stop eating like this, you ask? This was a temporary
					situation. I was on summer break from school and free from any job.
					When the fall semester started I needed a job again to pay for gas,
					books, etc. So I added in clean RawTil4 type foods like rice. For many
					years I ate like this and still felt great. No oil, which I never plan
					to add back. Also no or low seasoning. I firmly believe in only eating
					food that you like the taste of alone and would be happy eating as a
					monomeal. This is only one of many reasons I don't like seasonings and
					prefer not to use them.
				</p>
				<p>
					Eventually I was corrupted and did start eating vegan junk food. I
					tried the fake cheeses, meats, ate restaurant food with oils, had
					processed snacks, etc. During this time though I stuck to the main
					principles of the PDF, and kept the carb ratio high as well as stayed
					hydrated and rested. I could tell that the processed food was lowering
					my energy levels but I remained disease free and was still able to
					accomplish a lot. I still ate simple meals like fruits and rice when
					alone but was more willing to eat out with coworkers and family.
				</p>
				<strong>Learning My Sensitivities: 2014-2022</strong>
				<p>
					There are other things I was able to discover about my body as well
					when reintroducing cooked foods. I found alliums cause headaches,
					body pain, nightmares, and with garlic specifically it becomes full-on
					night terrors. These are an absolute no at any quantity in my cooking.
				</p>
				<p>
					Nightshades have also been slowly phased out. I avoid all potato
					unless deep fried so that the poison is destroyed, although I try to
					avoid deep fried food as well. In 2022 as an experiment with my wife
					while she tried a low histamine experiment I also found that tomatoes
					were the reason that my nose has been running consistently for years!
					I had been blaming bad air, but just goes to show that you can never
					stop learning! So now even things like tomatoes and non-spicy peppers
					have been cut out. These are less of an issue, but raw and undercooked
					potatoes cause an obvious head and body tingle/ache. I've also found
					that eggplant digests terribly for me.
				</p>
				<p>
					Stress is a common issue for me. I tend to put myself in my work,
					so creating a work/life balance is important to prevent me from
					getting overwhelmed from a needy environment. When deadlines are not
					realistic or there is just too much work to go around I have learned
					to accept that it is other's responsibilities to manage these things
					wisely. If the people saying these things need done are the same
					people who do not offer overtime compensation or other benefits for
					overworking then the blame and stress of not accomplishing these
					things cannot be mine. I cannot accept the responsibility of other
					people's mismanagement.
				</p>
				<strong>Current Lifestyle: 2022-2023</strong>
				<p>
					Today I lean towards a more RawTilX style diet. Breakfast consists of
					fruit, such as a pound or two of apples, or half of a pound of dried
					mango rehydrated for a few hours in water. Lunch is a grain
					such as rice or quinoa. Dinner is usually a high-vegetable dish and
					tends to include beans. Sometimes breakfast may be a water or dry
					fast, the fruit meal is done as lunch, and lunch and dinner are
					combined into one meal.
				</p>
				<p>
					Exercise comes and goes. Cycling is no longer a hobby of mine. A
					normal week will have multiple 20-30 minute dog walks as well as a few
					strenuous hikes. Yard and garden work also contribute to keeping the
					body active and strong. It also aids in getting sun and fresh air!
					When time is short, weather is not ideal, or I'd prefer to be barefoot
					than be on asphalt, then walking short laps as a meditation is ideal.
					This is not full-on Chinese circle-walking but can be seen as similar.
				</p>
				<strong>Thank You!</strong>
				<p>
					I appreciate you making it through this! Hopefully you've not only
					learned a thing or two about me, but you've also obtained knowledge
					that can help you improve your life. That's my goal after all, helping
					others! Take care, friend. :)
				</p>
			</div>
		</div>
EOF

# Any subpages
###./subpages/journey/???

# Finish the web page
./helpers/body_close.php
